## cabber 0.4.0

=== Makefile ===
# cabber Makefile
#
#
CC = gcc
LIBS = -lncurses

CFLAGS = -g3 -Wall
LDFLAGS = 

all: cabber

cabber: cabber.o list.o socket.o parsecfg.o server.o server.o keyb.o screen.o utf8.o
	$(CC) $(CFLAGS) -o cabber cabber.o list.o socket.o parsecfg.o server.o \
	keyb.o screen.o utf8.o $(LDFLAGS) $(LIBS)

screen.o: screen.c
	$(CC) $(CFLAGS) -c -o screen.o screen.c

utf8.o: utf8.c
	$(CC) $(CFLAGS) -c -o utf8.o utf8.c

parsecfg.o: parsecfg.c
	$(CC) $(CFLAGS) -c -o parsecfg.o parsecfg.c

keyb.o: keyb.c
	$(CC) $(CFLAGS) -c -o keyb.o keyb.c

list.o: list.c
	$(CC) $(CFLAGS) -c -o list.o list.c

socket.o: socket.c
	$(CC) $(CFLAGS) -c -o socket.o socket.c

server.o: server.c
	$(CC) $(CFLAGS) -c -o server.o server.c

cabber.o: cabber.c
	$(CC) $(CFLAGS) -c -o cabber.o cabber.c

clean:
	rm -f *.o *~ cabber

mrproper: clean
	rm -f Makefile config.*

install: all
	cp -f cabber /usr/bin/cabber

## cabber 0.5.0

=== Makefile ===
#
# cabber Makefile
#


#
#  Available options:
#
#    Environment variables:
#	CPU		optimize for the given processor.
#			default = pentium
#	DEBUG=1		disable optimizations and build for debug
#			default = no
#
#    Targets:
#	all:		build executable
#	clean:		remove object files
#	realclean:	remove all generated files
#	install:	build & install
#	dep:		create dependencies
#


.PHONY: all clean realclean install
# dep

CPU ?= i386
JCLIENT = cabber

CC = gcc
CFLAGS = -Wall -W -pedantic
LD = gcc
LDLIBS = -lncurses -lpanel

ifeq ($(DEBUG),1)
CFLAGS += -O0 -g -DDEBUG=1
else
CFLAGS += -O2 -mcpu=$(CPU)
LDFLAGS = -s
endif

CP = cp -f

SOURCES = \
    main.c \
    screen.c \
    utils.c \
    buddies.c \
    parsecfg.c \
    server.c \
    socket.c \
    lang.c \
    utf8.c

OBJECTS = $(SOURCES:.c=.o)

.c.o:
	$(CC) -o $@ $(CFLAGS) -c $<

all: $(JCLIENT)

$(JCLIENT): $(OBJECTS)
	$(LD) -o $@ $(LDFLAGS) $^ $(LDLIBS)

clean:
	-$(RM) *~
	-$(RM) $(JCLIENT)
	-$(RM) $(OBJECTS)
#	-$(RM) depend

realclean: clean
	-$(RM) $(JCLIENT)

install: all
	$(CP) $(JCLIENT) /usr/bin/$(JCLIENT)

#dep: $(SOURCES)
#	makedepend -f- -Ylydialog -- $(CFLAGS) -- $(SOURCES) > depend

#-include depend

## cabber 0.5.0-test1

=== debian/changelog ===
cabber (0.5.0-test1-3) unstable; urgency=low

  * QA upload.
  * Really remove build-depends on libc6 (Closes: #553473)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 09 Apr 2010 10:11:53 +0200

cabber (0.5.0-test1-2) unstable; urgency=low

  * QA upload.
  * Remove versioned build-depend on libc6 (Closes: 553473)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Thu, 08 Apr 2010 17:06:32 +0200

cabber (0.5.0-test1-1) unstable; urgency=low

  * QA upload.
    - New upstream release (Closes: #562117).
    - Move to packaging format "3.0 (quilt)" due to patches.
  * debian/cabber.sgml
    - (SECTION): Add missing value 1.
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): update to debhelper 7.1. Add version to
      libc6-dev (Closes: #553473).
    - (Depends): add ${misc:Depends}.
    - (Homepage): new field.
    - (Standards-Version): update to 3.8.4.
  * debian/copyright
    - Update layout.
    - Use FSF URL; was: old address.
  * debian/dirs
    - Remove unused usr/sbin.
  * debian/patches
    - Convert Debian inline patches to quilt format.
    - (Number 40): Disable debugging which causes SIGSEGV.
      The file is the same for every user, which won't work.
  * debian/rules
    - (clean): Do not ignore MAKE call.
    - (install): use dh_prep.
  * debian/source/format
    - New file.
  * debian/watch
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 11 Mar 2010 21:10:53 +0200

cabber (0.4.0-test5-2.1) unstable; urgency=low

  * Non-maintainer upload to correct copyright file (closes: #328364).

 -- Nico Golde <nico@ngolde.de>  Sun,  2 Oct 2005 17:57:11 +0200

cabber (0.4.0-test5-2) unstable; urgency=low

  * screen.c, list.c: Fix segfaults problems with roster warning, no
    .cabberrc warning and color section warning (closes: #216853).

 -- David Fernandez Vaamonde <david_fv@gpul.org>  Wed, 22 Oct 2003 12:52:15 +0200

cabber (0.4.0-test5-1) unstable; urgency=low

  * Initial Release.

 -- David Fernandez Vaamonde <david_fv@gpul.org>  Thu, 18 Sep 2003 00:04:39 +0200

=== debian/control ===
Source: cabber
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.1), libncurses5-dev, docbook-to-man
Standards-Version: 3.8.4
Homepage: http://freshmeat.net/projects/cabber

Package: cabber
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: easy and basic jabber console client
 Very easy and basic jabber console client based in ncurses, customizable
 and useful for use in a remote console.
 Jabber is an open protocol for instant messaging.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) LDFLAGS= CFLAGS="$(CFLAGS)"
	/usr/bin/docbook-to-man debian/cabber.sgml > debian/cabber.1
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp debian/*.1

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/cabber install

binary-arch: build install
	# Build architecture-dependent files.
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog
	dh_installdocs
	dh_installexamples
	dh_installman debian/cabber.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
  http://sf.net/cabber/cabber-(.+)\.tar\.gz
